# Release 0.6.0

## Major Features
* `tensorflow_io.avro`: Apache Avro Dataset.
* `tensorflow_io.audio`: WAV file Dataset.
* `tensorflow_io.grpc`: gRPC server Dataset, support for streaming Numpy input.
* `tensorflow_io.hdf5`: HDF5 file Dataset.
* `tensorflow_io.text`: Text file Dataset and TextSequence output.
* Improved batching support for many Datasets, see [#191](https://github.com/tensorflow/io/issues/191).

This release contains contributions from many people:

Yong Tang, Yuan (Terry) Tang, Bryan Cutler, Jiacheng Xu, Junqin Zhang,
August Xiong, caszkgui, zou000

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.

# Release 0.5.0

## Major Features
* `tensorflow_io.kafka`: Kafka Output support.
* `tensorflow_io.cifar`: CIFAR file format support.
* `tensorflow_io.bigtable`: Google Cloud BigTable support.

## Thanks to our Contributors

This release contains contributions from many people:

Bryan Cutler, Damien Pontifex, Florian Raudies, Henry Tan,
Junqin Zhang, Stephan Uphoff, Yong Tang, Yuan (Terry) Tang

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.

# Release 0.4.0

## Major Features
* `tensorflow_io.pubsub`: Google Cloud Pub/Sub Dataset support.
* `tensorflow_io.mnist`: MNIST file format support.
* `tensorflow_io.image`: `decode_webp` support.
* `tensorflow_io.kafka`: `write_kafka` support.

## Thanks to our Contributors

This release contains contributions from many people:

Bryan Cutler, Jongwook Choi, Sergii Khomenko, Stephan Uphoff,
Yong Tang, Yuan (Terry) Tang

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.

# Release 0.3.0

## Major Features
* `tensorflow_io.image`: TIFF image Dataset.
* `tensorflow_io.lmdb`: LMDB Dataset.

## Thanks to our Contributors

This release contains contributions from many people:

Bryan Cutler, Yong Tang, Yuan (Terry) Tang

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.

# Release 0.2.0

## Major Features
* `tensorflow_io.arrow`: Apache Arrow Datasets.
* `tensorflow_io.image`: WebP image Dataset.
* `tensorflow_io.libsvm`: LIBSVM Dataset.
* `tensorflow_io.parquet`: Apache Parquet Dataset.
* `tensorflow_io.video`: Video Dataset (from FFmpeg).

## Thanks to our Contributors

This release contains contributions from many people:

Anton Dmitriev, Bryan Cutler, Peng Yu, Yong Tang, Yuan (Terry) Tang

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.

# Release 0.1.0

Initial release of TensorFlow I/O.

## Major Features
* `tensorflow_io.ignite`: Data source for Apache Ignite and File System (IGFS).
* `tensorflow_io.kafka`: Apache Kafka stream-processing support.
* `tensorflow_io.kinesis`: Amazon Kinesis data streams support.
* `tensorflow_io.hadoop`: Hadoop SequenceFile format support.

## Thanks to our Contributors

This release contains contributions from many people:

Anjali Sridhar, Anton Dmitriev, Artem Malykh, Brennan Saeta, Derek Murray,
Gunhan Gulsoy, Jacques Pienaar, Jianwei Xie, Jiri Simsa, knight, Loo Rong Jie,
Martin Wicke, Michael Case, Sergei Lebedev, Sourabh Bajaj, Yifei Feng,
Yong Tang, Yuan (Terry) Tang, Yun Peng

We are also grateful to all who filed issues or helped resolve them, asked and
answered questions, and were part of inspiring discussions.
